require 'term/ansicolor'

module Rubtools
  class Logger
    # Print success string
    #
    def self.success arg
      puts Term::ANSIColor.green { arg }
    end

    # Print verbose string
    #
    def self.verbose arg
      puts arg
    end

    # Print info string
    #
    def self.info arg
      puts Term::ANSIColor.blue arg
    end

    # Print error string
    #
    def self.error arg
      puts Term::ANSIColor.red { arg }
    end
  end
end
